{{ define "header_css" }}{{ end }}
{{ define "body_classes" }}page-activities-list{{ end }}
{{ define "header_classes" }}{{ end }}

{{ define "main" }}

    {{ if .Params.hero }}
        {{ partial "framework/sections/hero/hero.html" (dict "context" $ "hero" .Params.hero) }}
    {{ else }}
        <div class="section">
            <div class="container">
                <div class="row">
                    <div class="col col-lg-12">
                        <h1>{{ .Title }}</h1>
                    </div>
                    {{ if .Params.image }}
                        <div class="col col-lg-12" >
                            <img class="img-fluid" src="{{ .Params.image | relURL }}" />
                        </div>
                    {{ end }}
                </div>
            </div>
        </div>
    {{ end }}

    {{ $pages := .Pages }}
    {{ $pagesCount := len $pages }}
    {{ $summaryType := .Params.summary_type }}
    {{ if gt ($pagesCount) 0 }}
        <div class="section">
            <div class="container ">
                <div class="row">
                    {{ range .Pages }}
                        <div class="col-12 col-md-6 col-lg-4 mb-3">
                            {{ if $summaryType }}
                                {{ partial $summaryType . }}
                            {{ else }}
                                {{ partial "framework/summary/summary-full.html" . }}
                            {{ end }}
                        </div>
                    {{ end }}
                </div>
            </div>
        </div>
    {{ end }}

    {{ if .Content }}
        <div class="section section-border-top">
            <div class="container">
                <div class="row">
                    <div class="col-12 col-md-8">
                        <div class="content">
                            {{ .Content }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {{ end }}
    
{{ end }}